Import Tasks:

Tasks is a simple To Do list application that eschews complicated
features for a lean interface and functionality that just does the
right thing. It has a simple interface with little cruft around the
list of tasks.

feedback, fixes and ok ajacoutot@
This commit is contained in:
pyr 2008-07-04 16:20:41 +00:00
parent 1b77fdd018
commit 335dce0a6b
5 changed files with 209 additions and 0 deletions

View File

@ -0,0 +1,46 @@
# $OpenBSD: Makefile,v 1.1.1.1 2008/07/04 16:20:41 pyr Exp $
COMMENT= lightweight tasklist
DISTNAME= tasks-0.13
CATEGORIES= productivity x11
HOMEPAGE= http://pimlico-project.org/tasks.html
# GPLv2
PERMIT_PACKAGE_CDROM= Yes
PERMIT_PACKAGE_FTP= Yes
PERMIT_DISTFILES_CDROM= Yes
PERMIT_DISTFILES_FTP= Yes
MASTER_SITES= http://pimlico-project.org/sources/tasks/
WANTLIB= ORBit-2 X11 Xau Xcomposite Xcursor Xdamage Xdmcp Xext \
Xfixes Xi Xinerama Xrandr Xrender atk-1.0 audiofile \
bonobo-2 bonobo-activation c cairo esd expat \
fontconfig freetype gconf-2 gdk-x11-2.0 gdk_pixbuf-2.0 \
glib-2.0 glitz gmodule-2.0 gnome-2 gnomevfs-2 \
gobject-2.0 gthread-2.0 gtk-x11-2.0 m pango-1.0 \
pangocairo-1.0 pangoft2-1.0 pixman-1 png popt pthread \
xml2 z
MODULES= devel/gettext \
textproc/intltool
USE_X11= Yes
USE_LIBTOOL= Yes
USE_GMAKE= Yes
LIB_DEPENDS= ecal-1.2,edataserver-1.2::databases/evolution-data-server
RUN_DEPENDS= ::devel/desktop-file-utils
CONFIGURE_STYLE= gnu
CONFIGURE_ARGS+= ${CONFIGURE_SHARED} \
--enable-gtk \
--disable-owl \
--disable-hildon \
--disable-omoko
CONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include" \
LDFLAGS="-L${LOCALBASE}/lib"
.include <bsd.port.mk>

View File

@ -0,0 +1,5 @@
MD5 (tasks-0.13.tar.gz) = U2/7vQ84SJyOPqnq8PZ9WQ==
RMD160 (tasks-0.13.tar.gz) = 63NNcDnCl79DaWUvTB8+w3ONLkM=
SHA1 (tasks-0.13.tar.gz) = sK2CV2v+xkYhKIK99joKtb2fLVQ=
SHA256 (tasks-0.13.tar.gz) = OhAp61h6BYfPPry4wlYGLKWVtPXQowGI+kquOttJylo=
SIZE (tasks-0.13.tar.gz) = 335079

View File

@ -0,0 +1,91 @@
$OpenBSD: patch-configure,v 1.1.1.1 2008/07/04 16:20:41 pyr Exp $
--- configure.orig Fri Jul 4 13:30:56 2008
+++ configure Fri Jul 4 13:31:22 2008
@@ -7460,87 +7460,6 @@ echo "${ECHO_T}yes" >&6; }
:
fi
-# Check for libsexy 0.1.12. Older versions don't support icon-names in the
-# entries, so don't work.
-
-pkg_failed=no
-{ echo "$as_me:$LINENO: checking for SEXY" >&5
-echo $ECHO_N "checking for SEXY... $ECHO_C" >&6; }
-
-if test -n "$PKG_CONFIG"; then
- if test -n "$SEXY_CFLAGS"; then
- pkg_cv_SEXY_CFLAGS="$SEXY_CFLAGS"
- else
- if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libsexy >= 0.1.12\"") >&5
- ($PKG_CONFIG --exists --print-errors "libsexy >= 0.1.12") 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- pkg_cv_SEXY_CFLAGS=`$PKG_CONFIG --cflags "libsexy >= 0.1.12" 2>/dev/null`
-else
- pkg_failed=yes
-fi
- fi
-else
- pkg_failed=untried
-fi
-if test -n "$PKG_CONFIG"; then
- if test -n "$SEXY_LIBS"; then
- pkg_cv_SEXY_LIBS="$SEXY_LIBS"
- else
- if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libsexy >= 0.1.12\"") >&5
- ($PKG_CONFIG --exists --print-errors "libsexy >= 0.1.12") 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- pkg_cv_SEXY_LIBS=`$PKG_CONFIG --libs "libsexy >= 0.1.12" 2>/dev/null`
-else
- pkg_failed=yes
-fi
- fi
-else
- pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- SEXY_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libsexy >= 0.1.12"`
- else
- SEXY_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libsexy >= 0.1.12"`
- fi
- # Put the nasty error message in config.log where it belongs
- echo "$SEXY_PKG_ERRORS" >&5
-
- { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
- sexy=no
-elif test $pkg_failed = untried; then
- sexy=no
-else
- SEXY_CFLAGS=$pkg_cv_SEXY_CFLAGS
- SEXY_LIBS=$pkg_cv_SEXY_LIBS
- { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
- sexy=yes
-fi
-if test $sexy = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_SEXY 1
-_ACEOF
-
-fi
-
# Check whether --enable-gtk was given.
if test "${enable_gtk+set}" = set; then

View File

@ -0,0 +1,4 @@
Tasks is a simple To Do list application that eschews complicated
features for a lean interface and functionality that just does the
right thing. It has a simple interface with little cruft around the
list of tasks.

View File

@ -0,0 +1,63 @@
@comment $OpenBSD: PLIST,v 1.1.1.1 2008/07/04 16:20:41 pyr Exp $
@bin bin/tasks
share/applications/tasks.desktop
share/icons/
share/icons/hicolor/
share/icons/hicolor/16x16/
share/icons/hicolor/16x16/apps/
share/icons/hicolor/16x16/apps/tasks.png
share/icons/hicolor/22x22/
share/icons/hicolor/22x22/apps/
share/icons/hicolor/22x22/apps/tasks.png
share/icons/hicolor/24x24/
share/icons/hicolor/24x24/apps/
share/icons/hicolor/24x24/apps/tasks.png
share/icons/hicolor/26x26/
share/icons/hicolor/26x26/apps/
share/icons/hicolor/26x26/apps/tasks.png
share/icons/hicolor/32x32/
share/icons/hicolor/32x32/apps/
share/icons/hicolor/32x32/apps/tasks.png
share/icons/hicolor/48x48/
share/icons/hicolor/48x48/apps/
share/icons/hicolor/48x48/apps/tasks.png
share/icons/hicolor/64x64/
share/icons/hicolor/64x64/apps/
share/icons/hicolor/64x64/apps/tasks.png
share/icons/hicolor/scalable/
share/icons/hicolor/scalable/apps/
share/icons/hicolor/scalable/apps/tasks.svg
share/locale/bg/LC_MESSAGES/tasks.mo
share/locale/ca/LC_MESSAGES/tasks.mo
share/locale/cs/LC_MESSAGES/tasks.mo
share/locale/cy/
share/locale/cy/LC_MESSAGES/
share/locale/cy/LC_MESSAGES/tasks.mo
share/locale/da/LC_MESSAGES/tasks.mo
share/locale/de/LC_MESSAGES/tasks.mo
share/locale/el/LC_MESSAGES/tasks.mo
share/locale/es/LC_MESSAGES/tasks.mo
share/locale/et/LC_MESSAGES/tasks.mo
share/locale/eu/LC_MESSAGES/tasks.mo
share/locale/fr/LC_MESSAGES/tasks.mo
share/locale/gl/LC_MESSAGES/tasks.mo
share/locale/id/LC_MESSAGES/tasks.mo
share/locale/it/LC_MESSAGES/tasks.mo
share/locale/nb/LC_MESSAGES/tasks.mo
share/locale/nl/LC_MESSAGES/tasks.mo
share/locale/pl/LC_MESSAGES/tasks.mo
share/locale/pt/LC_MESSAGES/tasks.mo
share/locale/pt_BR/LC_MESSAGES/tasks.mo
share/locale/ro/LC_MESSAGES/tasks.mo
share/locale/ru/LC_MESSAGES/tasks.mo
share/locale/sk/LC_MESSAGES/tasks.mo
share/locale/sv/LC_MESSAGES/tasks.mo
share/locale/tr/LC_MESSAGES/tasks.mo
share/locale/vi/LC_MESSAGES/tasks.mo
share/locale/zh_CN/LC_MESSAGES/tasks.mo
share/tasks/
share/tasks/tasks-ui.xml
@exec %D/bin/gtk-update-icon-cache -q -f -t %D/share/icons/hicolor 2> /dev/null || true
@unexec %D/bin/gtk-update-icon-cache -q -f -t %D/share/icons/hicolor 2> /dev/null || true
@exec %D/bin/update-desktop-database
@unexec %D/bin/update-desktop-database